package ap

import (
	"net/url"
	"time"
)

// When a message is deleted
type DeleteAction struct {
	Context   *map[string]any `json:"@context,omitempty"` // Lots of something. Not included if action is embedded as object in another object
	Id        url.URL         `json:"id"`                 // Location of this resource
	Type      string          `json:"type"`               // Should always be "Delete"
	Actor     url.URL         `json:"actor"`              // Account deleting something
	Target    url.URL         `json:"object"`             // Account that the actor wants to follow
	Published time.Time       `json:"published"`          // When this was done
}
