package ap

import "net/url"

// The public key associated with an account
type PublicKey struct {
	ID      url.URL `json:"id"`           // ID of the key
	Owner   url.URL `json:"owner"`        // Who this key belongs to
	Content string  `json:"publicKeyPem"` // Actual content of the key, example below
}

/*

Example for a public key

"""
-----BEGIN PUBLIC KEY-----
Big blob of random characters
-----END PUBLIC KEY-----

"""
*/
